package server

import (
	"os"
	"path"

	"coopcloud.tech/abra/pkg/config"
	"coopcloud.tech/abra/pkg/i18n"
	"coopcloud.tech/abra/pkg/log"
)

// CreateServerDir creates a server directory under ~/.abra.
func CreateServerDir(serverName string) error {
	serverPath := path.Join(config.ABRA_DIR, "servers", serverName)

	if err := os.Mkdir(serverPath, 0700); err != nil {
		if !os.IsExist(err) {
			return err
		}

		log.Debug(i18n.G("%s already exists", serverPath))
		return nil
	}

	log.Debug(i18n.G("successfully created %s", serverPath))

	return nil
}
